﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Schedules;
using System.Collections.ObjectModel;
using Infragistics;
using Infragistics.Windows;
using Infragistics.Collections;

namespace SettingVisibleDatesThroughCode
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Resource> resources = new ObservableCollection<Resource>();
        ObservableCollection<ResourceCalendar> calendars = new ObservableCollection<ResourceCalendar>();
        ObservableCollection<Appointment> appointments = new ObservableCollection<Appointment>();
        ObservableCollection<Task> tasks = new ObservableCollection<Task>();

        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            resources.Add(new Resource
            {
                Id = "own1",
                Name = "Amanda"
            });


            calendars.Add(new ResourceCalendar
            {
                Id = "cal1",
                OwningResourceId = "own1"
            });

            for (int i = 0; i < 10; i++)
            {
                Appointment app = new Appointment
                {
                    Id = "t" + i,
                    OwningCalendarId = "cal1",
                    OwningResourceId = "own1",
                    Subject = "Appointment " + i,
                    Description = "My  appointment" + i,
                    Start = DateTime.Today.AddDays(i).AddHours(i + 1).ToUniversalTime(),
                    End = DateTime.Today.AddDays(i).AddHours(i + 3).ToUniversalTime()
                };

                appointments.Add(app);
            }

            //===================== Setting the time zone to the local time zone ==============================//
            dataConnector.TimeZoneInfoProviderResolved.LocalTimeZoneId = TimeZone.CurrentTimeZone.StandardName;
            // ================================================================================================//
            dataConnector.ResourceItemsSource = resources;
            dataConnector.ResourceCalendarItemsSource = calendars;
            dataConnector.AppointmentItemsSource = appointments;
            dataConnector.TaskItemsSource = tasks;

       
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {

            XamDayView day = Utilities.GetDescendantFromType(dayView, typeof(XamDayView), false) as XamDayView;
            XamMonthView month = Utilities.GetDescendantFromType(dayView, typeof(XamMonthView), false) as XamMonthView;
            XamScheduleView schedule = Utilities.GetDescendantFromType(dayView, typeof(XamScheduleView), false) as XamScheduleView;

            DateCollection selectedDates = new DateCollection
            {
                DateTime.Now,
                DateTime.Now.AddDays(1),
                DateTime.Now.AddDays(2),
                DateTime.Now.AddDays(3),
                DateTime.Now.AddDays(4),
                DateTime.Now.AddDays(5),
            };

            day.VisibleDates.Clear();
            month.VisibleDates.Clear();
            schedule.VisibleDates.Clear();

            foreach (DateTime date in selectedDates)
            {
                day.VisibleDates.Add(date);
                month.VisibleDates.Add(date);
                schedule.VisibleDates.Add(date);
            }

            //Manipulating the XamDateNavigator
            //dateNavigator.SelectedDates.Clear();
            //dateNavigator.SelectedDate = DateTime.Now;
            //for (int i = 1; i < 5; i++)
            //{
            //    dateNavigator.SelectedDates.Add(DateTime.Now.AddDays(i));
            //}
            
        }
    }
}
